import { Observable } from 'rxjs';
import { LoggerService as Logger } from './logger.service';
/**
 * Wrapper around the prettify.js library
 */
export declare class PrettyPrinterService {
    private logger;
    private prettyPrintOne;
    constructor(logger: Logger);
    private getPrettyPrintOne;
    /**
     * Format code snippet as HTML
     * @param {string} code - the code snippet to format; should already be HTML encoded
     * @param {string} [language] - The language of the code to render (could be javascript, html, typescript, etc)
     * @param {string|number} [linenums] - Whether to display line numbers:
     *  - false: don't display
     *  - true: do display
     *  - number: do display but start at the given number
     * @returns Observable<string> - Observable of formatted code
     */
    formatCode(code: string, language?: string, linenums?: number | boolean): Observable<string>;
}
